Bug 1313357 - [abrt] gftp: ssl3_read_n(): gftp-gtk killed by SIGSEGV
[abrt] gftp: ssl3_read_n(): gftp-gtk killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gftp (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e2b1fe0b9ddfef7a837a18fe0f1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 07:56 EST by mithrial
Modified: 2016-12-20 14:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:09:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.95 KB, text/plain)
2016-03-01 07:56 EST, mithrial
no flags Details
File: cgroup (148 bytes, text/plain)
2016-03-01 07:56 EST, mithrial
no flags Details
File: core_backtrace (19.14 KB, text/plain)
2016-03-01 07:56 EST, mithrial
no flags Details
File: dso_list (10.24 KB, text/plain)
2016-03-01 07:56 EST, mithrial
no flags Details
File: environ (4.86 KB, text/plain)
2016-03-01 07:56 EST, mithrial
no flags Details
File: exploitable (100 bytes, text/plain)
2016-03-01 07:56 EST, mithrial
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-01 07:56 EST, mithrial
no flags Details
File: maps (51.66 KB, text/plain)
2016-03-01 07:56 EST, mithrial
no flags Details
File: mountinfo (3.67 KB, text/plain)
2016-03-01 07:56 EST, mithrial
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-01 07:56 EST, mithrial
no flags Details
File: open_fds (1.10 KB, text/plain)
2016-03-01 07:56 EST, mithrial
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2016-03-01 07:56 EST, mithrial
no flags Details
File: var_log_messages (296 bytes, text/plain)
2016-03-01 07:56 EST, mithrial
no flags Details

  None (edit)
Description mithrial 2016-03-01 07:56:01 EST
Description of problem:
I wanted to connect to a ftps-server

Version-Release number of selected component:
gftp-2.0.19-13.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gftp-gtk
crash_function: ssl3_read_n
executable:     /usr/bin/gftp-gtk
global_pid:     7975
kernel:         4.4.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ssl3_read_n at s3_pkt.c:275
 #1 ssl3_read_bytes at s3_pkt.c:339
 #3 ssl3_read_internal at s3_lib.c:4420
 #4 gftp_ssl_read at sslcommon.c:431
 #5 gftp_get_line at sockutils.c:45
 #6 rfc959_get_next_file at rfc959.c:1542
 #8 gftp_get_next_file at protocols.c:438
 #9 gftpui_common_run_ls at gftpuicallbacks.c:77
 #10 _gftpui_common_thread_callback at gftpui.c:50
 #11 _gftpui_gtk_thread_func at gtkui.c:218
Comment 1 mithrial 2016-03-01 07:56:06 EST
Created attachment 1131915 [details]
File: backtrace
Comment 2 mithrial 2016-03-01 07:56:07 EST
Created attachment 1131916 [details]
File: cgroup
Comment 3 mithrial 2016-03-01 07:56:08 EST
Created attachment 1131917 [details]
File: core_backtrace
Comment 4 mithrial 2016-03-01 07:56:10 EST
Created attachment 1131918 [details]
File: dso_list
Comment 5 mithrial 2016-03-01 07:56:11 EST
Created attachment 1131919 [details]
File: environ
Comment 6 mithrial 2016-03-01 07:56:12 EST
Created attachment 1131920 [details]
File: exploitable
Comment 7 mithrial 2016-03-01 07:56:13 EST
Created attachment 1131921 [details]
File: limits
Comment 8 mithrial 2016-03-01 07:56:15 EST
Created attachment 1131922 [details]
File: maps
Comment 9 mithrial 2016-03-01 07:56:16 EST
Created attachment 1131923 [details]
File: mountinfo
Comment 10 mithrial 2016-03-01 07:56:17 EST
Created attachment 1131924 [details]
File: namespaces
Comment 11 mithrial 2016-03-01 07:56:18 EST
Created attachment 1131925 [details]
File: open_fds
Comment 12 mithrial 2016-03-01 07:56:20 EST
Created attachment 1131926 [details]
File: proc_pid_status
Comment 13 mithrial 2016-03-01 07:56:21 EST
Created attachment 1131927 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 10:52:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 14:09:35 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.